<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'SmsListMessages';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!isset($this->_get['SmsQueue'])) {
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$queuePath = '/tmp/sms/' .$this->_get['SmsQueue'];

		if (($dp = @opendir($queuePath)) == null) {
			$this->_execResultString = 'error:specified_queue_does_not_exist';
			$this->_execResult = false;
			return($this->_execResult);
		}

		while (($file = readdir($dp)) !== false) {
			if (($file == '.') || ($file == '..')) {
				continue;
			}

			if ($this->_execResultString == 'success') {
				$this->_execResultString .= ':';
			}

			if ($this->_get['SmsQueue'] == 'failout') {
				$this->_execResultString .= $file . ';';
				continue;
			}

			if (preg_match('/.*\.sms$/', $file)) {
				$this->_execResultString .= basename($file, '.sms') . ';';
			}
		}

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
